package com.ruoyi.clock.enums;

import com.ruoyi.common.enums.IIntegerEnum;

import java.util.Objects;

/**
 * @author 单位
 */
public enum ActivityUnitEnum implements IIntegerEnum<Integer> {

    BOX(0, "盒"),
    BRANCH(1, "支"),

    ;

    private Integer code;
    private String msg;

    ActivityUnitEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    @Override
    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public static ActivityUnitEnum getByCode(int code, ActivityUnitEnum[] values) {
        for (ActivityUnitEnum value : values) {
            if (Objects.equals(code, value.getCode())) {
                return value;
            }
        }
        return null;
    }

}
